#pragma once

#include "VFWWnd.h"

class CMainFrame : public CFrameWnd
{
public:
	CMainFrame();

protected:
	DECLARE_DYNCREATE(CMainFrame)

  CAVICapWnd    m_wndCap;
  int           m_nDevice;
  CString       m_sDevice;
  int           m_nWidth;
  int           m_nHeight;
  CString       m_sUNCFile;
  CString       m_sServer;
  CString       m_sRemoteFile;
  INTERNET_PORT m_nPort;
  CString       m_sUser;
  CString       m_sPassword;
  DWORD         m_nTimeInterval;
  UINT_PTR      m_nStartupTimerID;
  UINT_PTR      m_nPeriodicTimerID;
  int           m_nJpegQuality;
  int           m_nPeriodicInterval;
  int           m_nMaxCaptures;
  int           m_nCurrentCapture;
  BOOL          m_bIncrementFilename;
  BOOL          m_bFTPUI;
  BOOL          m_bUseLocalTime;

  static int GetEncoderClsid(const WCHAR* format, CLSID* pClsid);
  CString    MapFilename(const CString& sFilename);
  void       DoCapture();

	afx_msg void OnFileCapture();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDestroy();

	DECLARE_MESSAGE_MAP()
};

